## pgpainless 1.3.16

=== docs/requirements.txt ===
myst-parser>=0.17
sphinxcontrib-mermaid>=0.7.1
