## pgpainless 1.3.5

=== debian/changelog ===
pgpainless (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5
  * Build additional SOP and CLI library binary packages
  * Add d/upstream/metadata
  * Add autopkgtests
  * d/control:
    * add missing bcutil dependency
    * add deps for building pgpainless-sop and -cli
    * add missing deps in binary
    * improve short Description
    * build pgpainless-cli runtime package
  * d/rules:
    * don't hardcode JAVA_HOME
    * build test jar and enable tests
    * build and test pgpainless-sop and -cli
    * deploy manpages from upstream
  * d/watch: verify git tag signatures
  * d/maven.rules: fix package names
  * d/patches: add patch to skip mockito-based tests
  * d/copyright: update

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 11 Aug 2022 11:28:21 -0400

pgpainless (1.3.2-1) unstable; urgency=medium

  * Initial upload. (Closes: #1005300)

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 20 Jul 2022 10:49:20 -0400
