## pgpainless 1.3.16

=== debian/changelog ===
pgpainless (1.3.16-1) unstable; urgency=medium

  * New upstream version 1.3.16
  * d/control: make libpgpainless dependencies tighter (Closes: #1028560)
  * d/rules: fix FTBFS in non-UTF-8 environment

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 03 Feb 2023 08:27:59 -0500

pgpainless (1.3.15-2) unstable; urgency=medium

  * d/control: fix bouncycastle binary dependency

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 08 Jan 2023 09:55:18 -0500

pgpainless (1.3.15-1) unstable; urgency=medium

  * New upstream version 1.3.15
  * d/control: require libbcpg-java to 1.72-2 and later

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 07 Jan 2023 17:57:15 -0500

pgpainless (1.3.14-1) unstable; urgency=medium

  * New upstream version 1.3.14 (Closes: #1023783, #1026756)

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 06 Jan 2023 13:22:44 -0500

pgpainless (1.3.13-2) unstable; urgency=medium

  * d/control: tighten Depends for binary packages

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Nov 2022 10:55:36 -0500

pgpainless (1.3.13-1) unstable; urgency=medium

  * New upstream version 1.3.13
  * d/control: require bouncycastle 1.71 or higher
  * d/control: bump libsop-java-* deps minimum version
  * d/patches: drop patch merged upstream

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Nov 2022 08:20:08 -0500

pgpainless (1.3.7-2) unstable; urgency=medium

  * d/patches: cherry-pick upstream patch fixing armel tests
  * d/control: fix typo in descriptions
  * d/rules: fix/improve nodoc and nocheck profiles
  * fix jquery symlinks in docs packages

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 04 Nov 2022 11:44:57 -0400

pgpainless (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 06 Oct 2022 12:53:03 -0400

pgpainless (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * d/control: apply multi-arch hints

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 24 Sep 2022 15:39:31 -0400
