## pgpainless 1.6.6

=== debian/changelog ===
pgpainless (1.6.6-2) unstable; urgency=medium

  * Team upload
  * d/t/upstream-sop, d/t/upstream-cli, d/rules: Java 21 throws
    UnsupportedOperationException when trying to set SecurityManager.
    JUnit SystemExit extension tries to set SecurityManager. Pass
    -Djava.security.manager=allow so that extension works
    (Closes: #1064780).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Feb 2024 09:33:56 +1300

pgpainless (1.6.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.6
  * Exclude gradle wrapper files from upstream tarball
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Mon, 12 Feb 2024 21:25:07 -0800

pgpainless (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * d/control: add missing jsr305 dep on binary
  * d/control: remove obsolete annotations build-dep

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Dec 2023 15:31:39 -0500

pgpainless (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4 (Closes: #1057166, #1043471)
  * d/control: bump dependencies for new upstream version
  * d/control: bump Standards-Version, no changes needed
  * d/patches:
    + re-roll patches for new upstream version
    + add patch removing compileJava target
    + fix dependency on sop-java test fixtures
    + fix bouncycastle class names
    - remove obsolete expired keys patch
  * d/rules: resolve junit warnings
  * d/tests: add new sop-java-testfixtures jar on classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 02 Dec 2023 21:08:44 -0500

pgpainless (1.3.16-2) unstable; urgency=medium

  * Team upload.
  * Disable test using expired keys (Closes: #1054771)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Nov 2023 09:28:51 -0800
