=== debian/control ===
--- 
+++ 
@@ -11,24 +11,25 @@
  gradle-debian-helper,
  javahelper,
  junit5 <!nocheck>,
- libbcpg-java (>= 1.72-2),
- libintellij-annotations-java,
+ libbcpg-java (>= 1.77),
  libjsr305-java,
  libjunit5-system-exit-java <!nocheck>,
  libslf4j-java,
- libsop-java-java (>= 4.0.7),
- libsop-java-picocli-java (>= 4.0.7),
+ libsop-java-java (>= 7.0.1),
+ libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/
+Rules-Requires-Root: no
 
 Package: libpgpainless-core-java
 Architecture: all
 Depends:
- libbcpg-java (>= 1.72-2),
+ libbcpg-java (>= 1.77),
+ libjsr305-java,
  libslf4j-java,
  ${maven:Depends},
  ${misc:Depends},
@@ -58,8 +59,9 @@
 Package: libpgpainless-sop-java
 Architecture: all
 Depends:
+ libjsr305-java,
  libpgpainless-core-java (= ${source:Version}),
- libsop-java-java (>= 4.0.7),
+ libsop-java-java (>= 7.0.1),
  ${maven:Depends},
  ${misc:Depends},
 Description: Stateless OpenPGP Protocol with PGPainless - library
@@ -86,8 +88,9 @@
 Package: libpgpainless-cli-java
 Architecture: all
 Depends:
+ libjsr305-java,
  libpgpainless-sop-java (= ${source:Version}),
- libsop-java-picocli-java (>= 4.0.7),
+ libsop-java-picocli-java (>= 7.0.1),
  ${maven:Depends},
  ${misc:Depends},
 Description: Stateless OpenPGP Protocol with PGPainless - runtime library
