=== debian/tests/control ===
Tests: upstream-core
Depends:
  junit5,
  libbcutil-java,
  libpgpainless-core-java
Restrictions: allow-stderr

Tests: upstream-sop
Depends:
  junit5,
  libpgpainless-sop-java
Restrictions: allow-stderr

Tests: upstream-cli
Depends:
  junit5,
  libjunit5-system-exit-java,
  libpgpainless-cli-java
Restrictions: allow-stderr

Tests: cli
Depends: pgpainless-cli
