## pgpainless 1.6.7

=== debian/changelog ===
pgpainless (1.6.7-2) unstable; urgency=medium

  * Reupload to include missed changes from 1.6.6-2.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Mar 2024 11:08:53 -0400

pgpainless (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7
  * d/patches: refresh patch for new upstream version
  * d/patches: add patch to fix build scripts

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Mar 2024 09:41:27 -0400
