## pgpainless 1.6.8

=== debian/changelog ===
pgpainless (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8
  * d/control: update Standards-Version, no changes needed
  * d/watch: remain on 1.6 branch for now
  * fix embedded javascript replacement symlinks

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 02 Nov 2024 13:46:43 -0400
