=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/
