=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,compression=xz" \
https://github.com/pgpainless/pgpainless.git \
refs/tags/(1.6.\d+)
