## pgpainless 1.6.9

=== docs/requirements.txt ===
myst-parser>=0.17
sphinxcontrib-mermaid>=0.7.1
sphinx_rtd_theme>=2.0.0
