=== debian/changelog ===
pgpainless (1.6.9-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/control, d/rules: use junit5-system-exit 2.0.2 for
    Java 25 compatibility (Closes: #1108587).

  [ Emmanuel Bourg ]
  * Converted debian/watch to version 5 format

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 18 Dec 2025 10:46:55 +0100

pgpainless (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9 (Closes: #1100250, #1101420)
  * d/control: bump bouncycastle to 1.80
  * d/control: add new dependency on libbcutil-java
  * d/control: update Standards-Version, no changes needed
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 28 Mar 2025 15:51:22 -0400
