=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
  gradle-debian-helper,
  javahelper,
  junit5 <!nocheck>,
- libbcpg-java (>= 1.77),
+ libbcpg-java (>= 1.80),
+ libbcutil-java (>= 1.80),
  libjsr305-java,
- libjunit5-system-exit-java <!nocheck>,
+ libjunit5-system-exit-java (>=2.0.2) <!nocheck>,
  libslf4j-java,
  libsop-java-java (>= 7.0.1),
  libsop-java-picocli-java (>= 7.0.1),
  maven-debian-helper,
  maven-repo-helper,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/pgpainless.git
 Vcs-Browser: https://salsa.debian.org/java-team/pgpainless
 Homepage: https://pgpainless.org/
@@ -28,7 +29,8 @@
 Package: libpgpainless-core-java
 Architecture: all
 Depends:
- libbcpg-java (>= 1.77),
+ libbcpg-java (>= 1.80),
+ libbcutil-java (>= 1.80),
  libjsr305-java,
  libslf4j-java,
  ${maven:Depends},
