=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF-8
 
-TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
+TEST_CORE_CLASSPATH=/usr/share/java/bcpg.jar:/usr/share/java/bcutil.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slf4j-simple.jar:pgpainless-core/build/libs/pgpainless-core.jar
 TEST_SOP_CLASSPATH=$(TEST_CORE_CLASSPATH):/usr/share/java/sop-java.jar:/usr/share/java/sop-java-testfixtures.jar:pgpainless-sop/build/libs/pgpainless-sop.jar
 TEST_CLI_CLASSPATH=$(TEST_SOP_CLASSPATH):/usr/share/java/sop-java-picocli.jar:/usr/share/java/junit5-system-exit.jar:pgpainless-cli/build/libs/pgpainless-cli.jar
 JUNIT_OPTIONS=--exclude-classname="^sop\.testsuite\.\S+" --scan-classpath --fail-if-no-tests --disable-ansi-colors
@@ -38,16 +38,16 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	java \
-		-Djava.security.manager=allow \
+		-javaagent:/usr/share/java/junit5-system-exit.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CORE_CLASSPATH):pgpainless-core/build/libs/pgpainless-core-tests.jar \
 		$(JUNIT_OPTIONS)
 	java \
-		-Djava.security.manager=allow \
+		-javaagent:/usr/share/java/junit5-system-exit.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_SOP_CLASSPATH):pgpainless-sop/build/libs/pgpainless-sop-tests.jar \
 		$(JUNIT_OPTIONS)
-	java -Djava.security.manager=allow \
+	java -javaagent:/usr/share/java/junit5-system-exit.jar \
 		-Xbootclasspath/a:/usr/share/java/sop-java-picocli.jar \
 		-jar /usr/share/java/junit-platform-console-standalone.jar execute \
 		-cp $(TEST_CLI_CLASSPATH):pgpainless-cli/build/libs/pgpainless-cli-tests.jar \
