=== debian/watch ===
Version: 5
Template: GitHub
Owner: pgpainless
Project: pgpainless
Uversion-Mangle: s/-(alpha|rc)/~$1/g
